# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html

#image: python:3.8-slim
#
#stages:
#  - build

#pages:
#  script:
#    - pip3 install -r requirements.txt
#    - sphinx-build -b html docs/source/ public/
#  artifacts:
#    paths:
#      - public
#  only:
#    - master 

image: python:3.8-alpine

test:
  stage: test
  script:
  - pip3 install -U sphinx sphinx-rtd-theme
  - sphinx-build -b html docs/source/ public/
  - branches
  except:
  - master

pages:
  stage: deploy
  script:
  - pip install -U sphinx
  - sphinx-build -b html docs/source/ public/
  artifacts:
    paths:
    - public
  only:
  - master
